from django.urls import path
from adminapp import views

urlpatterns = [
  path('admin_login/', views.admin_login, name='admin_login'),
  path('admin_logout/',views.admin_logout,name='admin_logout'),
  
  path('admin_profile/', views.admin_profile, name='admin_profile'),
    path('change-password/', views.admin_change_password, name='admin_change_password'),
    
    path('admin_screenlock/', views.admin_screenlock, name='admin_screenlock'),
    
  path('index/',views.index,name='index'),
  
  
  path('manageuser/', views.manageuser, name='manageuser'),
  path('block_user/<int:user_id>/', views.block_user, name='block_user'),
  path('unblock_user/<int:user_id>/', views.unblock_user, name='unblock_user'),
  
  
  path('managetemplate/',views.managetemplate,name='managetemplate'),
  path('adtemplate_add/', views.adtemplate_add, name='adtemplate_add'),
path('adtemplate_edit/<int:template_id>/', views.adtemplate_edit, name='adtemplate_edit'),

  path('adtemplate_delete/<int:id>/', views.adtemplate_delete, name='adtemplate_delete'),
    
    
    
  
path('managecategory/', views.managecategory, name='managecategory'),

    # Category URLs
    path('category/add/', views.category_add, name='category_add'),
    path('category/edit/<int:id>/', views.category_edit, name='category_edit'),
    path('category/delete/<int:id>/', views.category_delete, name='category_delete'),


path('manageadtype/', views.manageadtype, name='manageadtype'),

    # AdType URLs
    path('adtype/add/', views.adtype_add, name='adtype_add'),
    path('adtype/edit/<int:id>/', views.adtype_edit, name='adtype_edit'),
    path('adtype/delete/<int:id>/', views.adtype_delete, name='adtype_delete'),
    
    
    

  path('manageorder/', views.manageorder, name='manageorder'),
   path('order/<int:order_id>/', views.order_detail, name='order_detail'),
     path('order/update/<int:order_id>/', views.update_order_status, name='update_order_status'),
    
    
  path('viewpayment/',views.view_payments,name='viewpayment'),
  
  path('managefeedback/', views.managefeedback, name='managefeedback'),
   path('feedback/delete/<int:feedback_id>/', views.delete_feedback, name='delete_feedback'),
   
   
  path('enquiries/', views.manageenquiries, name='manageenquiries'),
  path('enquiries/reply/<int:id>/', views.reply_enquiry, name='reply_enquiry'),
  path('enquiries/delete/<int:id>/', views.delete_enquiry, name='delete_enquiry'),
  
]



